Bug 43339 - login hangs if I do it right after reboot
login hangs if I do it right after reboot
Product: Red Hat Raw Hide
Classification: Retired
Component: pam (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-06-03 05:25 EDT by Jonathan Kamens
Modified: 2007-04-18 12:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-03 14:16:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2001-06-03 05:25:43 EDT
I have a .xsession file which gets run when I log into gdm.  I have
gdm-2.2.2-2 installed.  If I try to log in immediately a after reboot, my
login hangs.  I suspect that it's hanging in this code, but I don't know
why it would:

xmodmap - <<EOF
clear mod4
add mod1 = Meta_L

I suspect this because the code that runs right after this code doesn't get
executed, but the code that runs before it does.  When the hang happens,
I'm stuck staring at an X server screen with a mouse cursor that moves but
no windows, and this shows up in my log:

Jun  3 05:14:38 jik gdm[1236]: deal_with_x_crashes: Running the
XKeepsCrashing script
Jun  3 05:14:39 jik gdm[1236]: Failed to start X server several times in a
short time period; disabling display :0

If I wait for a couple of minutes after gdm starts, it doesn't have this

If, after the hang, I shut down gdm (with "telinit 3"), kill the X server,
and then restart gdm and X ("telinit 5"), I can log in immediately.  This
is why I suspect that the problem has something to do with rebooting (as
opposed to merely having to do with right after gdm starts up).
Comment 1 Havoc Pennington 2001-06-04 18:38:40 EDT
This may be fixed in latest gdm, which we'll package shortly, let me know if it
Comment 2 Jonathan Kamens 2001-06-13 05:42:36 EDT
This is still broken in gdm-2.2.2-4.
Comment 3 Sammy 2001-06-14 09:50:26 EDT
Just as an addition to this.....since Rawhide of 5/24 after every reboot
KDM core dumps first time you try to login. It than restarts automatically
and subsequent logins are all fine. Confirmed this many times. It could be
that there is a stale lock file or something left behind. In other words the
problem may not be with GNOME but something else in the system.
Comment 4 Sammy 2001-06-14 12:14:36 EDT
Additional note: the core dump of kdm after reboot never happens if one logs
in as root but happens when login in as ordinary user.
Comment 5 Jonathan Kamens 2001-06-27 09:45:40 EDT
A couple more notes:

* Today when I logged into gdm right after a reboot, it hung after I hit enter
after typing my password, i.e., it didn't even get to the blank grey screen I
described above.  Then, when I rebooted and did it again, it hung at the blank
screen.  So the failure mode isn't always exactly the same.

* When it was hung today at the blank screen, I killed the X server, but gdm
didn't notice.  I ran strace on it, and I saw a couple of gettimeofday calls
followed by a call to poll(), which hung.  So it would seem that the culprit
here is almost certainly gdm rather than the X server.
Comment 6 Nalin Dahyabhai 2001-07-03 14:16:52 EDT
Does pam-0.75-5 (coming soon to Raw Hide) fix this issue?  On my workstation I
traced the bug jik sees down to a bug in pam_console that would corrupt the heap
and cause the gdm child process to crash.
Comment 7 Jonathan Kamens 2001-07-03 21:27:49 EDT
Yes, this problem appears to have gone away when I upgrade to all the current
Rawhide packages.  I'm changing the component to "pam" and marking it resolved
in rawhide.

Note You need to log in before you can comment on or make changes to this bug.